JavaScript/jQuery Chat - Accessibility

Accessibility Features Overview

NOTE
The overall accessibility level of your application depends on the Chat features you use.
Accessibility Requirement Support Level
Right-to-Left Support
Keyboard Navigation Support
Screen Reader Support
Contrast Color Theme
Mobile Device Support
Lighthouse Accessibility Validation
Axe Accessibility Validation
WAVE Accessibility Validation
Section 508 Support
WCAG 2.x Support
  • - All component features meet the requirement
  • - Some component features may not meet the requirement
  • - Accessibility requirement is not supported

Accessibility Standards Compliance

The Chat component meets a variety of Section 508 and WCAG 2.x compliance standards. Known exceptions:

Section 508 criteria WCAG 2.x criteria Exception description
501 (Web)(Software)
504.2 (Authoring Tool)
602.3 (Support Docs)
1.4.3 Contrast (Minimum) (Level AA)
1.4.11 Non-text Contrast (Level AA 2.1 and 2.2)
Chat does not support Windows High Contrast themes.

Keyboard Navigation

A user can use the following keys to interact with the Chat component:

Key Action
Enter Enters a message.

Use the registerKeyHandler(key, handler) method to implement a custom handler for a key.

JavaScript
  • function registerKeyHandlers () {
  • const chat = $("#chatContainer").dxChat("instance");
  • chat.registerKeyHandler("backspace", function(e) {
  • // The argument "e" contains information on the event
  • });
  • chat.registerKeyHandler("space", function(e) {
  • // ...
  • });
  • }

Screen Reader Support

The Chat component supports screen readers and complies to WAI-ARIA standards.

React Chat - Accessibility

Accessibility Features Overview

NOTE
The overall accessibility level of your application depends on the Chat features you use.
Accessibility Requirement Support Level
Right-to-Left Support
Keyboard Navigation Support
Screen Reader Support
Contrast Color Theme
Mobile Device Support
Lighthouse Accessibility Validation
Axe Accessibility Validation
WAVE Accessibility Validation
Section 508 Support
WCAG 2.x Support
  • - All component features meet the requirement
  • - Some component features may not meet the requirement
  • - Accessibility requirement is not supported

Accessibility Standards Compliance

The Chat component meets a variety of Section 508 and WCAG 2.x compliance standards. Known exceptions:

Section 508 criteria WCAG 2.x criteria Exception description
501 (Web)(Software)
504.2 (Authoring Tool)
602.3 (Support Docs)
1.4.3 Contrast (Minimum) (Level AA)
1.4.11 Non-text Contrast (Level AA 2.1 and 2.2)
Chat does not support Windows High Contrast themes.

Keyboard Navigation

A user can use the following keys to interact with the Chat component:

Key Action
Enter Enters a message.

Use the registerKeyHandler(key, handler) method to implement a custom handler for a key.

App.js
  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { Chat } from 'devextreme-react/chat';
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  •  
  • this.chatRef = React.createRef();
  • }
  •  
  • render() {
  • return (
  • <Chat ref={this.chatRef} />
  • );
  • }
  •  
  • get chat() {
  • return this.chatRef.current.instance();
  • }
  •  
  • componentDidMount() {
  • this.chat.registerKeyHandler('backspace', function(e) {
  • // The argument "e" contains information on the event
  • });
  • this.chat.registerKeyHandler('space', function(e) {
  • // ...
  • });
  • }
  • }
  •  
  • export default App;

Screen Reader Support

The Chat component supports screen readers and complies to WAI-ARIA standards.